Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 620101 - [abrt] yum-3.2.27-20.fc14: config.py:99:__set__:ValueError: Error parsing "enabled = '\xc3\x9f'": invalid boolean value
[abrt] yum-3.2.27-20.fc14: config.py:99:__set__:ValueError: Error parsing "en...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:f0631a2b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-31 17:45 EDT by Felix Möller
Modified: 2014-01-21 18:16 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-3.2.28-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 12:17:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.29 KB, text/plain)
2010-07-31 17:45 EDT, Felix Möller
no flags Details

  None (edit)
Description Felix Möller 2010-07-31 17:45:08 EDT
abrt version: 1.1.10
architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/yum search asd
component: yum
executable: /usr/bin/yum
kernel: 2.6.35-0.57.rc6.git1.fc14.i686.PAE
package: yum-3.2.27-20.fc14
reason: config.py:99:__set__:ValueError: Error parsing "enabled = '\xc3\x9f'": invalid boolean value
release: Fedora release 14 (Rawhide)
time: 1280612576
uid: 500

How to reproduce
-----
I had enabled = ß in a .repo file. 

But this should probably give an error message instead of an exception ...
Comment 1 Felix Möller 2010-07-31 17:45:11 EDT
Created attachment 435804 [details]
File: backtrace
Comment 2 seth vidal 2010-08-03 17:17:20 EDT
okay I've sent a patch upstream to fix this.

diff --git a/yum/__init__.py b/yum/__init__.py
index 3f87f50..bb5eb64 100644
--- a/yum/__init__.py
+++ b/yum/__init__.py
@@ -447,7 +447,11 @@ class YumBase(depsolve.Depsolve):
         @return: YumRepository instance.
         '''
         repo = yumRepo.YumRepository(section)
-        repo.populate(parser, section, self.conf)
+        try:
+            repo.populate(parser, section, self.conf)
+        except ValueError, e:
+            msg = _('Repository %r: Error parsing config: %s' % (section,e))
+            raise Errors.ConfigError, msg
 
         # Ensure that the repo name is set
         if not repo.name:
Comment 3 seth vidal 2010-08-04 12:17:53 EDT
this is now checked in upstream and will be out in the next release of yum.
Comment 4 Fedora Update System 2010-08-09 15:55:55 EDT
yum-3.2.28-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc12
Comment 5 Fedora Update System 2010-08-09 15:56:29 EDT
yum-3.2.28-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc14
Comment 6 Fedora Update System 2010-08-09 15:56:57 EDT
yum-3.2.28-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc13
Comment 7 Fedora Update System 2010-08-12 16:17:27 EDT
yum-3.2.28-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc12
Comment 8 Fedora Update System 2010-08-12 16:19:47 EDT
yum-3.2.28-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc13
Comment 9 Fedora Update System 2010-08-12 16:22:09 EDT
yum-3.2.28-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc14
Comment 10 Fedora Update System 2010-08-17 01:47:31 EDT
yum-3.2.28-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-08-19 22:21:05 EDT
yum-3.2.28-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-08-23 21:38:43 EDT
yum-3.2.28-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.